Name:           bees
Version:        0.10
Release:        2%{?dist}
Summary:        Best-Effort Extent-Same, a btrfs deduplication agent.

License:        GPL-3.0
URL:            https://github.com/Zygo/bees
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  systemd-rpm-macros
BuildRequires:  gcc-c++ >= 8.1.0
BuildRequires:  make

Requires:       btrfs-progs
Requires:       util-linux

%description

bees is a block-oriented userspace deduplication agent designed for large
btrfs filesystems. It is an offline dedupe combined with an incremental
data scan capability to minimize time data spends on disk from write to
dedupe.

%prep
%autosetup

%build
%make_build LIBEXEC_PREFIX=%{_libexecdir}


%install
%make_install LIBEXEC_PREFIX=%{_libexecdir} SYSTEMD_SYSTEM_UNIT_DIR=%{_unitdir}


%files
%license COPYING
%{_libexecdir}/bees
%{_sbindir}/beesd
%{_sysconfdir}/bees/beesd.conf.sample
%{_unitdir}/beesd@.service



%changelog
* Sat Jan 27 2024 Brendan Van Hook <brendan@vastactive.com>
- Initial packaging.
